Module org.jfree.chart3d
Package org.jfree.chart3d.style

# Class ChartStyles

java.lang.Object
org.jfree.chart3d.style.ChartStyles

public class ChartStyles extends Object
Some predefined chart styles.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`ChartStyles()`

## Method Summary

Modifier and Type
Method
Description
`static ChartStyle`
`createIceCubeStyle()`
Creates and returns a new instance of the "Pastel" chart style.
`static ChartStyle`
`createLogicalFontStyle()`
Creates and returns a new instance of the "Logical Font" chart style.
`static ChartStyle`
`createOrson1Style()`
Creates and returns a new instance of the "Orson 1" chart style.
`static ChartStyle`
`createOrson2Style()`
Creates and returns a new instance of the "Orson 2" chart style.
`static ChartStyle`
`createPastelStyle()`
Creates and returns a new instance of the "Pastel" chart style.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartStyles

public ChartStyles()

## Method Details

### createOrson1Style

public static ChartStyle createOrson1Style()
Creates and returns a new instance of the "Orson 1" chart style.

Returns:
  A chart style (never `null`).

### createOrson2Style

public static ChartStyle createOrson2Style()
Creates and returns a new instance of the "Orson 2" chart style. This style has a black background and uses shades of blue for the data colors.

Returns:
  A chart style (never `null`).

### createPastelStyle

public static ChartStyle createPastelStyle()
Creates and returns a new instance of the "Pastel" chart style.

Returns:
  A chart style (never `null`).

### createIceCubeStyle

public static ChartStyle createIceCubeStyle()
Creates and returns a new instance of the "Pastel" chart style.

Returns:
  A chart style (never `null`).

### createLogicalFontStyle

public static ChartStyle createLogicalFontStyle()
Creates and returns a new instance of the "Logical Font" chart style. This style uses the Java logical fonts, but is otherwise the same as the "Orson 1" chart style.

Returns:
  A chart style (never `null`).